execute as @e[tag=focal.uhc.head] at @s run fill ~11 319 ~11 ~-11 310 ~-11 air
kill @e[tag=focal.uhc.lobby]

gamerule doDaylightCycle true
gamerule doFireTick true
gamerule doWeatherCycle true
gamerule doMobSpawning true

worldborder center ~ ~
$worldborder set $(world_size)
gamemode survival @a[team=!spec]

time set 0

clear @a
effect clear @a
advancement revoke @a everything

effect give @a minecraft:instant_health 1 99 true
effect give @a absorption 1 0 true
effect give @a[team=!spec] resistance 5 4 true
effect give @a[team=!spec] weakness 5 99 true

$spreadplayers ~ ~ $(spread) $(spread_range) under 290 true @a[team=!solo,team=!spec]
$spreadplayers ~ ~ $(spread) $(spread_range) under 290 false @a[team=solo]

scoreboard players set #tick focal.uhc.INFO 0
scoreboard players set Minutes focal.uhc.INFO -1
scoreboard players set -state focal.uhc.core 2

scoreboard objectives setdisplay below_name
scoreboard objectives setdisplay list
scoreboard objectives setdisplay sidebar

team modify plt1 collisionRule pushOtherTeams
team modify plt2 collisionRule pushOtherTeams
team modify plt3 collisionRule pushOtherTeams
team modify plt4 collisionRule pushOtherTeams
team modify plt5 collisionRule pushOtherTeams
team modify plt6 collisionRule pushOtherTeams
team modify plt7 collisionRule pushOtherTeams
team modify plt8 collisionRule pushOtherTeams
team modify plt9 collisionRule pushOtherTeams
team modify plt10 collisionRule pushOtherTeams
team modify plt11 collisionRule pushOtherTeams
team modify plt12 collisionRule pushOtherTeams
team modify plt13 collisionRule pushOtherTeams
team modify plt14 collisionRule pushOtherTeams

team modify plt1 friendlyFire false
team modify plt2 friendlyFire false
team modify plt3 friendlyFire false
team modify plt4 friendlyFire false
team modify plt5 friendlyFire false
team modify plt6 friendlyFire false
team modify plt7 friendlyFire false
team modify plt8 friendlyFire false
team modify plt9 friendlyFire false
team modify plt10 friendlyFire false
team modify plt11 friendlyFire false
team modify plt12 friendlyFire false
team modify plt13 friendlyFire false
team modify plt14 friendlyFire false

#
execute if score -DIFF focal.uhc.STG matches 1 run difficulty easy
execute if score -DIFF focal.uhc.STG matches 2 run difficulty normal
execute if score -DIFF focal.uhc.STG matches 3 run difficulty hard

execute if score -INFO focal.uhc.STG matches 1 run scoreboard objectives setdisplay sidebar focal.uhc.INFO
$execute if score -IMM focal.uhc.STG matches 1 run function focal:uhc/lobby/prep/menu/conf/start_inv {time:$(inv_duration)}
execute if score -TCO focal.uhc.STG matches 1 run function focal:uhc/lobby/prep/menu/conf/collision
execute if score -FF focal.uhc.STG matches 1 run function focal:uhc/lobby/prep/menu/conf/friendlyfire
execute if score -TABHP focal.uhc.STG matches 1 run scoreboard objectives setdisplay list focal.uhc.HP
execute if score -NAMEHP focal.uhc.STG matches 1 run scoreboard objectives setdisplay below_name focal.uhc.HP
execute if score -NETH focal.uhc.STG matches 1 run gamerule playersNetherPortalCreativeDelay 1
execute if score -enableNether focal.uhc.STG matches 1 run gamerule playersNetherPortalDefaultDelay 80
#
scoreboard players operation #start_border focal.uhc.INFO = -SZN_Start focal.uhc.STG
scoreboard players operation #start_timestop focal.uhc.INFO = -TS_Start focal.uhc.STG
scoreboard players operation #start_inv focal.uhc.INFO = -IMM_Duration focal.uhc.STG
scoreboard players operation #start_nametag focal.uhc.INFO = -SNT_Start focal.uhc.STG
scoreboard players operation #start_glowing focal.uhc.INFO = -GLOW_Start focal.uhc.STG
scoreboard players operation #start_clearmob focal.uhc.INFO = -CLM_Start focal.uhc.STG
scoreboard players operation #start_final focal.uhc.INFO = -FBA_Start focal.uhc.STG
scoreboard players operation #start_final_count focal.uhc.INFO = -FBA_Start focal.uhc.STG
scoreboard players operation #start_final_count focal.uhc.INFO -= 5 focal.const
scoreboard players operation #start_supply focal.uhc.INFO = -SC_Start focal.uhc.STG

title @a times 0 25 5
title @a title [{"translate":"mode.uhc","fallback":"§e§lUHC§r"}]
title @a subtitle [{"translate":"count.0","fallback":"§7----- §aStart §7-----§r"}]
playsound minecraft:entity.experience_orb.pickup player @a ~ ~ ~ 1 2 1

function focal:uhc/game/system/minutes