execute unless score @s focal.uhc.PID matches -2147483648..2147483647 run function focal:uhc/player/give_pid

execute if entity @s[team=!spec,tag=!focal.uhc.death] run spawnpoint @s ~ ~ ~ ~
execute if entity @s[team=!spec,tag=!focal.uhc.death] if score @s focal.uhc.DEAD matches 1 run function focal:uhc/player/death

team join spec @s[team=]
gamemode spectator @s[team=spec]
gamemode spectator @s[tag=focal.uhc.death]
tag @s[team=spec] add focal.uhc.death


# 1280 / 2 = 640
# (640 / 20) / (20 / 20) = 32
# (WSZ / 20) * (20 / SZN_Duration) = UNSAFE
execute store result score #calc_0 focal.uhc.INFO run worldborder get
scoreboard players operation #calc_0 focal.uhc.INFO /= 2 focal.const

scoreboard players operation #calc_1 focal.uhc.INFO = #calc_0 focal.uhc.INFO
scoreboard players operation #calc_1 focal.uhc.INFO /= 20 focal.const

scoreboard players set #calc_2 focal.uhc.INFO 40
scoreboard players operation #calc_2 focal.uhc.INFO *= 100 focal.const
scoreboard players operation #calc_2 focal.uhc.INFO /= -SZN_Duration focal.uhc.STG

scoreboard players operation #calc_3 focal.uhc.INFO = #calc_1 focal.uhc.INFO
scoreboard players operation #calc_3 focal.uhc.INFO *= #calc_2 focal.uhc.INFO
scoreboard players operation #calc_3 focal.uhc.INFO /= 100 focal.const

execute unless score #calc_3 focal.uhc.INFO matches 10.. run scoreboard players set #calc_3 focal.uhc.INFO 10

scoreboard players operation #calc_4 focal.uhc.INFO = #calc_0 focal.uhc.INFO
scoreboard players operation #calc_4 focal.uhc.INFO -= #calc_3 focal.uhc.INFO

execute store result score #SAFE_X focal.uhc.INFO as @e[tag=focal.uhc.world_center] at @s run data get entity @s Pos[0]
execute store result score #SAFE_Z focal.uhc.INFO as @e[tag=focal.uhc.world_center] at @s run data get entity @s Pos[2]

scoreboard players operation #SAFE_Pos1_X focal.uhc.INFO = #SAFE_X focal.uhc.INFO
scoreboard players operation #SAFE_Pos2_X focal.uhc.INFO = #SAFE_X focal.uhc.INFO
scoreboard players operation #SAFE_Pos1_Z focal.uhc.INFO = #SAFE_Z focal.uhc.INFO
scoreboard players operation #SAFE_Pos2_Z focal.uhc.INFO = #SAFE_Z focal.uhc.INFO

scoreboard players operation #SAFE_Pos1_X focal.uhc.INFO -= #calc_4 focal.uhc.INFO
scoreboard players operation #SAFE_Pos2_X focal.uhc.INFO += #calc_4 focal.uhc.INFO
scoreboard players operation #SAFE_Pos1_Z focal.uhc.INFO -= #calc_4 focal.uhc.INFO
scoreboard players operation #SAFE_Pos2_Z focal.uhc.INFO += #calc_4 focal.uhc.INFO

scoreboard players operation #SAFE_Pos2_X focal.uhc.INFO -= 1 focal.const
scoreboard players operation #SAFE_Pos2_Z focal.uhc.INFO -= 1 focal.const

execute store result score #X focal.uhc.POS run data get entity @s Pos[0] 1
execute store result score #Y focal.uhc.POS run data get entity @s Pos[1] 1
execute store result score #Z focal.uhc.POS run data get entity @s Pos[2] 1

execute store result storage focal:uhc player.POS1_X int 1 run scoreboard players get #SAFE_Pos1_X focal.uhc.INFO
execute store result storage focal:uhc player.POS2_X int 1 run scoreboard players get #SAFE_Pos2_X focal.uhc.INFO
execute store result storage focal:uhc player.POS1_Z int 1 run scoreboard players get #SAFE_Pos1_Z focal.uhc.INFO
execute store result storage focal:uhc player.POS2_Z int 1 run scoreboard players get #SAFE_Pos2_Z focal.uhc.INFO
execute store result storage focal:uhc player.id int 1 run scoreboard players get @s focal.uhc.PID

function focal:uhc/player/gui/main with storage focal:uhc player

execute if score -OBS focal.uhc.STG matches 0 at @e[tag=focal.uhc.world_center] run tp @s ~ 317 ~ 0 90

execute if score @s focal.uhc.DMDS matches 1.. run scoreboard players add @s focal.uhc.MS 1
execute if score @s focal.uhc.DMDIO matches 1.. run scoreboard players add @s focal.uhc.MIO 1
execute if score @s focal.uhc.DMDGO matches 1.. run scoreboard players add @s focal.uhc.MGO 1
execute if score @s focal.uhc.DMDDO matches 1.. run scoreboard players add @s focal.uhc.MDO 1
execute if score @s focal.uhc.DMNGO matches 1.. run scoreboard players add @s focal.uhc.MGO 1

scoreboard players reset @s focal.uhc.DMDS
scoreboard players reset @s focal.uhc.DMDIO
scoreboard players reset @s focal.uhc.DMDGO
scoreboard players reset @s focal.uhc.DMDDO
scoreboard players reset @s focal.uhc.DMNGO

clear @s minecraft:barrel[minecraft:custom_name='{"translate":"container.sc","fallback":"Supply Crate","color":"gold","bold": true,"italic": false}']
execute if score -GH focal.uhc.STG matches 0 run clear @s *[minecraft:custom_data~{FocalData:{id:"golden_head"}}]
execute if score -EGAP focal.uhc.STG matches 0 if items entity @s container.* minecraft:enchanted_golden_apple run function focal:uhc/player/gold_apple

execute unless score -IMM focal.uhc.STG matches 1 if score Minutes focal.uhc.INFO >= #start_inv focal.uhc.INFO if data entity @s active_effects[{id:"minecraft:resistance",duration:-1}] run effect clear @s resistance
execute if score #glowing focal.uhc.INFO matches 1 if score Minutes focal.uhc.INFO >= #start_glowing focal.uhc.INFO if entity @s[team=!spec,tag=!focal.uhc.death] run effect give @s glowing infinite 0 true
execute if score #final focal.uhc.INFO matches 1 if score Minutes focal.uhc.INFO >= #start_final focal.uhc.INFO if entity @s[team=!spec,tag=!focal.uhc.death] run effect give @s night_vision infinite 0 true

effect give @s[team=spec] night_vision infinite 0 true
effect give @s[tag=focal.uhc.death] night_vision infinite 0 true